Subject: Re: Git in GSoC 2025

From: shejialuo <[email-masked]>
Date: Mon, 27 Jan 2025 20:43:09 +0800

On Mon, Jan 27, 2025 at 09:06:36AM +0100, Patrick Steinhardt wrote:
> On Mon, Jan 27, 2025 at 12:19:26PM +0530, Kaartic Sivaraam wrote:
> > Hi Patrick, Christian, Karthik and Jialuo,
> > 
> > Thank you very much for your interest in volunteering as a mentor!
> > 
> > On Mon, Jan 20, 2025 at 12:37 PM Patrick Steinhardt <[email-masked]> wrote:
> > 
> > > I'd be happy to mentor this year again. A couple of ideas:
> > >
> > >
> > Thank you for suggesting these ideas, Patrick! I've incorporated them into
> > a draft
> > ideas page for now. You can see them here:
> > 
> > https://git.github.io/SoC-2025-Ideas/
> 
> Great, thanks a lot!
> 
> > Kindly suggest any corrections to the description, project size /
> > difficulty as necessary.
> > I've mentioned potential mentors based on what I'm aware of so far.
> > 
> > Patrick, Christian and Karthik, kindly mention the ideas that you're
> > interested to
> > mentor.
> > 
> > While I have not included them as of yet, I wonder if the following ideas
> > which we
> > had last year[1] could still be retained this year:
> > 
> > - Implement consistency checks for refs. The idea could be about
> >    implementing further ref checks which Jialuo appears to be helping
> >    out with. We could leave it if Jialuo prefers to continue working on
> >    the same in a flow.
> 
> The biggest omission right now is the reftable backend, but that one I
> plan to work on myself in this release cycle.
> 

I am happy to see this. If you plan to work on this in this release
cycle. I won't touch this. I'll review to learn more knowledge about
reftable backend.

> I'll leave it to Jialuo to decide whether there's anything else in this
> context that would make for a good GSoC project, as he's been the
> primary driving force here.
> 

One thing I could think about is to clean up "git-fsck(1)" to make the
boundary between the ref checks and object checks clear which means we
need to remove unnecessary checks and reorder the program sequence.
However, I think this is a little risky for a GSoC project. So, I'd like
to implement this later on my own.

Thanks,
Jialuo